Keine zu kompilierenden Architekturen (ARCHS = arm6 arm7, VALID_ARCHS = armv7)

Ich erhalte ständig den folgenden Fehler beim Erstellen der App:

<code>No architectures to compile for (ARCHS=arm6 arm7, VALID_ARCHS=armv7).
</code>

Ich habe versucht hinzuzufügenarm6 arm7 zur Architektur, aber hat nicht funktioniert. Ich habe es auch einfach versuchtarm6 undarm7aber immer noch nicht.

Außerdem setze ich das Bereitstellungsziel auf4.3 iPhone. Ich habe eine Xcode-Version4.3.1.

Bitte helfen Sie!

 i_am_jorf02. Okt. 2012, 00:50
Warum stimmen alle ab?
 iOSDev04. Apr. 2012, 08:38
Am Ende aller Warnungen, die ich erhalte, sollten alle Apps eine armv7-Architektur enthalten (aktuell ARCHS = "")
 user495114. Nov. 2013, 11:53
Was bedeutet aktive Architektur nur bauen?
 Emmy25. Jan. 2013, 17:02
Setzen Sie "Nur aktive Architektur erstellen" für alle abhängigen Bibliotheken und Frameworks sowie für Ihr Ziel auf "NEIN".
 Neeku04. Juni 2014, 18:51
Hey @iOSDev! Könnten Sie die Antwort akzeptieren, die Ihnen geholfen hat, gibt es im Moment keine akzeptierten Antworten auf diese Frage ...

Antworten auf die Frage(7)

Gehe zuProject Target > Build Settings > Architectures Löschen Sie alles, was Sie dort sehen, und fügen Sie diese Zeilen nacheinander hinzu:

Armv6 Armv7

Es gibt dort keine "Speichern" -Schaltflächen. Also füge ich eine weitere leere Zeile hinzu, drücke die Eingabetaste, entferne sie und klicke dann an eine andere Stelle, damit ich sicher bin, dass ich beide hinzugefügt habe:

Gehen Sie nun zur Datei AppName-Info.plist, suchen Sie den Schlüssel "Gerätefunktionen erfordern" und löschen Sie ihn alle.

Nun ist es geschafft.

 Mohit31. Juli 2014, 11:13
schön es hat mir geholfen danke
 Niranjan Balkrishna Prajapati18. Dez. 2014, 11:55
Dieser hat mir sehr geholfen

einstellenArchitekturen zu "Standard (Armv7, Armv7s)"und danach manuell einstellenGültige Architekturen zuarmv7 armv7s

 Jayprakash Dubey01. Apr. 2014, 16:12
Dieser hat funktioniert und +1!

Sie es dann.

 Karthik18. Apr. 2013, 07:45
Ich habe auch versucht, mit xcode 4.5 und iostarget 5.1 nicht für mich zu arbeiten.
 iOSDev04. Apr. 2012, 08:48
Versucht, aber es hat nicht funktioniert :( Jetzt festgefahren

Build Active Architecture Only" = NO das funktionierte für mich nach dem Upgrade eines alten Projekts auf xcode5

 Jayprakash Dubey01. Apr. 2014, 16:10
Wenn wir das Projekt jedoch in Xcode 4.x öffnen, wird der Fehler angezeigt.
 manuelBetancurt05. Dez. 2013, 03:58
Das ist es! Vielen Dank!

s und armv7 eingestellt. Es hat sich um mein Problem gekümmert, welches das warNo architectures to compile for (ONLY_ACTIVE_ARCH=YES, active arch=armv7s, VALID_ARCHS=armv6 armv7) Error .

nicht arm6 und arm7, indem Sie armv6 und armv7 als Architekturen hinzufügen.

 iOSDev04. Apr. 2012, 08:27
Nein, ich füge kein "und" dazwischen hinzu.
 jrturton04. Apr. 2012, 08:58
Es ist nicht das UND, das wichtig ist, es ist der V-Arm * v * 6

"$(ARCHS_STANDARD_32_64_BIT)" und danach manuell setzen Gültige Architekturen aufarmv7 arm64. Meine Xcode Version war 5.1. Das Basis-SDK war iOS 7.1. Das Bereitstellungsziel war 6.0.

In einer anderen Einstellungskonfiguration: Setzen Sie die Architekturen auf"$(ARCHS_STANDARD)" und nach manuell gültigen Architekturen setzen aufarmv7 arm64. Meine Xcode Version war 6.2. Das Basis-SDK war iOS 8.2. Das Bereitstellungsziel war 6.0.

Ihre Antwort auf die Frage